Bug 88012 - Update Port: sysutils/ezjail
Summary: Update Port: sysutils/ezjail
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-26 04:30 UTC by erdgeist
Modified: 2005-11-08 20:58 UTC (History)
0 users

See Also:


Attachments
file.shar (1.94 KB, text/plain)
2005-10-26 04:30 UTC, erdgeist
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description erdgeist 2005-10-26 04:30:15 UTC
The ported tool fixed some minor bugs and typos. Some sanity checks were added.
Comment 1 Edwin Groothuis freebsd_committer 2005-10-26 04:33:18 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer)
Comment 2 Emanuel Haupt freebsd_committer 2005-10-31 15:39:31 UTC
State Changed
From-To: open->feedback

Could you please submitt a patch instead of a shar (see: 
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/). The 
shar you submitted does not build, since you packed the new tarball 
'portfoo' instead of 'portfoo-VERSION' you need to define WRKSRC to 
'${WRKDIR}/${PORTNAME}'. The config files installed under ${PREFIX}/etc 
are not installed in the correct file mode (555 instead of 755).
Comment 3 erdgeist 2005-11-01 04:21:09 UTC
Fixed the tar ball, removed default installation of config file

Regards

   Dirk

diff -u ../ezjail/Makefile ./Makefile
--- ../ezjail/Makefile	Mon Oct 31 18:23:46 2005
+++ ./Makefile	Mon Oct 31 18:09:41 2005
@@ -2,11 +2,11 @@
  # Date created:        1 September 2005
  # Whom:                erdgeist
  #
-# $FreeBSD: ports/sysutils/ezjail/Makefile,v 1.1 2005/10/16 02:17:38 edwin Exp $
+# $FreeBSD$
  #

  PORTNAME=	ezjail
-PORTVERSION=	1.0
+PORTVERSION=	1.1
  CATEGORIES=	sysutils
  MASTER_SITES=	http://erdgeist.org/arts/software/ezjail/

@@ -23,10 +23,5 @@
  .if ( ${OSVERSION} < 600000 )
  IGNORE=	nullfs in FreeBSD releases before 6.0 is considered unstable
  .endif
-
-post-install:
-	@if [ ! -f ${PREFIX}/etc/ezjail.conf ]; then \
-		${CP} -p ${PREFIX}/etc/ezjail.conf.sample ${PREFIX}/etc/ezjail.conf ; \
-	fi

  .include <bsd.port.post.mk>
diff -u ../ezjail/distinfo ./distinfo
--- ../ezjail/distinfo	Mon Oct 31 18:23:46 2005
+++ ./distinfo	Mon Oct 31 18:09:46 2005
@@ -1,2 +1,2 @@
-MD5 (ezjail-1.0.tar.bz2) = 69f62c5e081197030c9f6fbe9532ba04
-SIZE (ezjail-1.0.tar.bz2) = 5456
+MD5 (ezjail-1.1.tar.bz2) = 0bb6aee4232e2a2f2422d1af42cafc68
+SIZE (ezjail-1.1.tar.bz2) = 5727
Only in .: patch
diff -u ../ezjail/pkg-plist ./pkg-plist
--- ../ezjail/pkg-plist	Mon Oct 31 18:23:46 2005
+++ ./pkg-plist	Mon Oct 31 18:09:58 2005
@@ -1,7 +1,4 @@
  etc/rc.d/ezjail.sh
  bin/ezjail-admin
  @dirrm etc/ezjail
-
-@unexec if cmp -s %D/etc/ezjail.conf.sample %D/etc/ezjail.conf; then rm -f %D/etc/ezjail.conf; fi
  etc/ezjail.conf.sample
-@exec if [ ! -f %D/etc/ezjail.conf ] ; then cp -p %D/%F %B/ezjail.conf; fi
Comment 4 Marcus Alves Grando freebsd_committer 2005-11-06 00:47:11 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 5 Marcus Alves Grando freebsd_committer 2005-11-08 20:58:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!